/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.aws.sdk.s3.integration;

import com.amazonaws.AmazonClientException;
import com.amazonaws.AmazonServiceException;
import com.amazonaws.auth.AWSStaticCredentialsProvider;
import com.amazonaws.auth.BasicAWSCredentials;
import com.amazonaws.regions.Region;
import com.amazonaws.regions.Regions;
import com.amazonaws.services.s3.AmazonS3;
import com.amazonaws.services.s3.AmazonS3ClientBuilder;
import java.util.UUID;


/**
 *
 * @author omozegieaziegbe
 */
public class AwsSdkS3Integration {

    public static void main(String[] args) {
      // Initialize credentials
        BasicAWSCredentials credentials = new BasicAWSCredentials("your-access-key", "your-secret-key");
        AmazonS3 s3Service = AmazonS3ClientBuilder.standard()
                .withCredentials(new AWSStaticCredentialsProvider(credentials))
                .build();

        // Set the region
        Region awsRegion = Region.getRegion(Regions.US_EAST_1);
        s3Service.setRegion(awsRegion);

        try {
            // Create a unique bucket name
            String newBucketName = "sampleBucket" + UUID.randomUUID();
            s3Service.createBucket(newBucketName);
            System.out.println("Bucket created successfully.");

        } catch (AmazonServiceException serviceException) {
            // Handle service-related exceptions
            System.out.println("Error Message: " + serviceException.getMessage());

        } catch (AmazonClientException clientException) {
            // Handle client-related exceptions
            System.out.println("Error Message: " + clientException.getMessage());
        }
    }
}
